## org.eclipse.jst.jsf.common.metadata.query
Class TaglibDomainMetaDataQueryHelper

    java.lang.Object
      org.eclipse.jst.jsf.common.metadata.query.TaglibDomainMetaDataQueryHelper

Deprecated. - Helios

use ITaglibMetaDataQuery:

`IMetaDataDomainContext context = MetaDataQueryContextFactory.getInstance().createTaglibDomainModelContext(project);
ITaglibMetaDataQuery query = MetaDataQueryFactory.getInstance().createQuery(context);`

    public final class TaglibDomainMetaDataQueryHelper

extends java.lang.Object

Helper class with static methods to simplify querying of a metadata model.

Steps for use:
1) Get the ITaglibDomainMetaDataModelContext using createMetaDataModelContext or createTagLibraryDomainMetaDataModelContext
2) Use appropriate getXXX methods using the ITaglibDomainMetaDataModelContext.

Provisional API - subject to change

See Also:
  `IResultSet`, `IEntityQueryVisitor`, `ITraitQueryVisitor`, `ITaglibDomainMetaDataModelContext`, `Model`, `Entity`, `Trait`

Field Summary
`static java.lang.String` `TAGLIB_DOMAIN` Deprecated. Domain id for Tag library domain of metatdata

Method Summary
`static ITaglibDomainMetaDataModelContext` `createMetaDataModelContext(IProject project, java.lang.String uri)` Deprecated. Convenience method for creating `ITaglibDomainMetaDataModelContext`s for TAGLIB_DOMAIN
`static IResultSet` `getEntities(Entity initialEntityContext, java.lang.String entityQuery, IEntityQueryVisitor entityKeyQueryVisitor)` Deprecated.
`static IResultSet` `getEntities(ITaglibDomainMetaDataModelContext modelContext, java.lang.String entityKey, IEntityQueryVisitor visitor)` Deprecated.
`static Entity` `getEntity(Entity initialEntityContext, java.lang.String entityKey)` Deprecated.
`static Entity` `getEntity(ITaglibDomainMetaDataModelContext modelContext, java.lang.String entityKey)` Deprecated.
`static Model` `getModel(ITaglibDomainMetaDataModelContext modelContext)` Deprecated.
`static javax.xml.namespace.QName` `getQNameForTagEntity(Entity tagEntity)` Deprecated.
`static Trait` `getTrait(Entity entity, java.lang.String traitKey)` Deprecated.
`static Trait` `getTrait(ITaglibDomainMetaDataModelContext modelContext, java.lang.String entityKey, java.lang.String traitKey)` Deprecated.
`static IResultSet` `getTraits(Entity entity, java.lang.String traitKey, ITraitQueryVisitor traitQueryVisitor)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAGLIB_DOMAIN

    public static final java.lang.String TAGLIB_DOMAIN

  Deprecated.
  Domain id for Tag library domain of metatdata

  See Also:
    Constant Field Values

Method Detail

### createMetaDataModelContext

    public static ITaglibDomainMetaDataModelContext createMetaDataModelContext(IProject project,
                                                                               java.lang.String uri)

  Deprecated.
  Convenience method for creating `ITaglibDomainMetaDataModelContext`s for TAGLIB_DOMAIN

  Parameters:
    `project` -
    `uri` -
  Returns:
    ITaglibDomainMetaDataModelContext

### getModel

    public static Model getModel(ITaglibDomainMetaDataModelContext modelContext)

  Deprecated.
  Parameters:
    `modelContext` -
  Returns:
    Model object for given context. May return null if not located.

### getEntity

    public static Entity getEntity(ITaglibDomainMetaDataModelContext modelContext,
                                   java.lang.String entityKey)

  Deprecated.
  Parameters:
    `modelContext` -
    `entityKey` - relative to root of the model
  Returns:
    the first entity match from the root of the model. May return null.

### getEntities

    public static IResultSet getEntities(ITaglibDomainMetaDataModelContext modelContext,
                                         java.lang.String entityKey,
                                         IEntityQueryVisitor visitor)

  Deprecated.
  Parameters:
    `modelContext` -
    `entityKey` - relative to root of model
    `visitor` -
  Returns:
    an IResultSet of entity objects

### getTrait

    public static Trait getTrait(Entity entity,
                                 java.lang.String traitKey)

  Deprecated.
  Parameters:
    `entity` -
    `traitKey` -
  Returns:
    a trait or null for the given entity and traitKey using a SimpleEntityQueryVisitorImpl

### getTraits

    public static IResultSet getTraits(Entity entity,
                                       java.lang.String traitKey,
                                       ITraitQueryVisitor traitQueryVisitor)

  Deprecated.
  Parameters:
    `entity` -
    `traitKey` -
    `traitQueryVisitor` -
  Returns:
    an IResultSet of trait objects using supplied traitQueryVisitor. IResultSet should NOT be null.

### getEntity

    public static Entity getEntity(Entity initialEntityContext,
                                   java.lang.String entityKey)

  Deprecated.
  Parameters:
    `initialEntityContext` -
    `entityKey` - relative to initial passed entity
  Returns:
    the first entity located by key using SimpleEntityQueryVisitorImpl

### getEntities

    public static IResultSet getEntities(Entity initialEntityContext,
                                         java.lang.String entityQuery,
                                         IEntityQueryVisitor entityKeyQueryVisitor)

  Deprecated.
  Parameters:
    `initialEntityContext` -
    `entityQuery` - relative to initial passed entity
    `entityKeyQueryVisitor` -
  Returns:
    IResultSet of entities located by key using entityQueryVisitor. IResultSet should NOT be null.

### getTrait

    public static Trait getTrait(ITaglibDomainMetaDataModelContext modelContext,
                                 java.lang.String entityKey,
                                 java.lang.String traitKey)

  Deprecated.
  Parameters:
    `modelContext` -
    `entityKey` -
    `traitKey` -
  Returns:
    first trait found for entity and trait key starting from root of the model using SimpleMetaDataQueryImpl

### getQNameForTagEntity

    public static javax.xml.namespace.QName getQNameForTagEntity(Entity tagEntity)

  Deprecated.
  Parameters:
    `tagEntity` -
  Returns:
    QName for tag entity